# SCIENCES

This repository is used to manage research of the SCIENCES project in accordance to the FAIR principle. As soon as the research being conducted in the SCIENCES project will be published in international journals, all data and sources
contained in the repository will be publically available.

# Overall structure

The SCIENCES repository consists of the following folders, each of them having a different responsability in the research data management of the project:
- [data](#data): store data being collected during the SCIENCES project
- [doc](#documentation): contains the documentation used for various purposes of the SCIENCES project
- [notebooks](#notebooks): contains Jupyter notebooks to demonstrate the interoperability and reproducibility of results
- [src](#sources): contains sources that were used to produce results of the SCIENCES project using data stored in [data](#data) as an input
- [tst](#testing): contains unit tests for procedures implemented in [src](#sources)

# Data

The **data** folder is used to store and manage data being collected during the SCIENCES project. The data are used as an input of the methodology developed in the project, and are necessary to the reproducability of results.

# Documentation

The **doc** contains various documents that were used for different purposes in the SCIENCES project. It includes documents related to the administration of the project ([admin](##administration)), papers used during the literature review 
([literature](##literature)), ...

## Administration

Various administrative aspects of the SCIENCES project can be found in this folder, including:
- The career development plan
- ...

## Literature

In this folder, one can find all the papers that were reviewed during the SCIENCES project. The folder also contains Excel files to have an overall vision of achievements and limitations of the research described in each paper. 
There one Excel file per study conducted during the SCIENCES project.

# Notebooks

This folder contains a serie of [Jupyter notebooks](https://jupyter.org/) to show the interoperability and reproducibility of results obtained during the SCIENCES project. The notebooks can either be run locally or in
the [Google Colab](https://colab.research.google.com/) environment.

# Sources

This folder contains several Python modules that were used to produce results of the SCIENCES project.

# Testing

In this folder, one can find various unit tests for most of procedures implemented in Python modules.

